Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 654151 - Review Request: sizzle - JavaScript CSS selector engine
Summary: Review Request: sizzle - JavaScript CSS selector engine
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AwaitingSubmitter
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-11-17 01:43 UTC by Steven Garcia
Modified: 2015-07-21 13:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-21 13:06:47 UTC


Attachments (Terms of Use)

Description Steven Garcia 2010-11-17 01:43:56 UTC
Spec URL: http://aikiframework.org/files/sizzle/sizzle.spec
SRPM URL: http://aikiframework.org/files/sizzle/sizzle-1.4.4-1.fc13.src.rpm

Description: A pure-JavaScript CSS selector engine designed to be easily dropped in to a host library.

This is my second package review submission to Fedora and I need a sponsor.

Ran successful rpmlint on spec, srpm and rpm
$ rpmlint SPECS/sizzle.spec \
SRPMS/sizzle-1.4.4-1.fc13.src.rpm \
RPMS/noarch/sizzle-1.4.4-1.fc13.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Ran successful mock rebuild
$ mock --rebuild SRPMS/sizzle-1.4.4-1.fc13.src.rpm 
INFO: mock.py version 1.1.6 starting...
State Changed: init plugins
INFO: selinux disabled
State Changed: start
INFO: Start(SRPMS/sizzle-1.4.4-1.fc13.src.rpm)  Config(fedora-13-i386)
State Changed: lock buildroot
State Changed: clean
INFO: chroot (/var/lib/mock/fedora-13-i386) unlocked and deleted
State Changed: init
State Changed: lock buildroot
Mock Version: 1.1.6
INFO: Mock Version: 1.1.6
INFO: enabled root cache
State Changed: unpacking root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: setup
State Changed: build
INFO: Done(SRPMS/sizzle-1.4.4-1.fc13.src.rpm) Config(default) 0 minutes 24 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-13-i386/result

Ran successful koji scratch builds
https://koji.fedoraproject.org/koji/tasks?owner=fosdevel&state=all
$ koji build --scratch dist-f13 sizzle-1.4.4-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2605578
$ koji build --scratch dist-f13-kde sizzle-1.4.4-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2605576
$ koji build --scratch dist-f13-updates-candidate sizzle-1.4.4-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2605572
$ koji build --scratch dist-f14 sizzle-1.4.4-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2605573
$ koji build --scratch dist-f14-gobject sizzle-1.4.4-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2605565
$ koji build --scratch dist-f14-kde sizzle-1.4.4-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2605570
$ koji build --scratch dist-f14-updates-candidate sizzle-1.4.4-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2605567
$ koji build --scratch dist-f15 sizzle-1.4.4-1.fc13.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2605564

Comment 1 Steven Garcia 2010-11-17 01:58:06 UTC
Here is the link to Source1:

Conf URL: http://aikiframework.org/files/sizzle/sizzle.conf

Comment 2 Steven Garcia 2010-11-17 02:56:35 UTC
Here are some reference notes for anyone interested in reviewing this package (sizzle). A JavaScript library similar in packaging was approved and has existed in Fedora for quite a while. The name of the package is MochiKit which can be seen here http://pkgs.fedoraproject.org/gitweb/?p=MochiKit.git;a=tree. Here is a link to the approved review https://bugzilla.redhat.com/show_bug.cgi?id=176528.

Comment 3 Steven Garcia 2010-11-17 18:40:09 UTC
Using rpmlint update as specified here:
https://fedoraproject.org/wiki/Packaging/Guidelines#Use_rpmlint

Ran successful rpmlint on spec, srpm, rpm and installed rpm
$ rpmlint sizzle \
SPECS/sizzle.spec \
SRPMS/sizzle-1.4.4-1.fc13.src.rpm \
RPMS/noarch/sizzle-1.4.4-1.fc13.noarch.rpm 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 4 anish 2011-08-30 04:26:14 UTC
Here's an unofficial review for F15,

+ rpmlint output

rpmlint output is  silent 
[makerpm@dhcp201-181 SRPMS]$ rpmlint sizzle-1.4.4-1.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
 

+ Package Naming Guidelines
    * Spec file name is sizzle.spec and  name in spec file is "sizzle" which is okie 

+ Licenses mentioned in the spec file are "MIT or BSD or GPLv2" which looks okie

+ Used global variables in the spec file which is good 

+ Sepc file is in American English 

+ Installed the package into the system following files are getting updated onto the   system 
       /usr/share/sizzle
       /usr/share/doc/sizzle-1.4.4
       /etc/httpd/conf.d/

Comment 5 Jason Tibbitts 2012-04-25 00:05:25 UTC
I'm just looking over some old review tickets.  While in principle this package seems simple, the amazingly excessive macro usage makes the spec nearly unreadable.  The whole spec should be on the order of 20 lines.

I'd be willing to give you a package review, but only if you're willing to do something reasonably simple.  If you insist on that horribly verbose style you're using now, I don't think I can help you.

Comment 6 Miroslav Suchý 2015-07-21 13:06:47 UTC
Closing due long inactivity. Feel free to reopen if you want to continue.


Note You need to log in before you can comment on or make changes to this bug.